#![feature(array_chunks)]
use cryptopals::{prelude::*, bvec64, friendly::aes128};

fn main() {
    let key = *b"YELLOW SUBMARINE";

    let input = bvec64!("input.txt");
    let mut output = Vec::new();
    for chunk in input.array_chunks::<16>() {
        output.extend(aes128::decrypt(key, *chunk));
    }

    dbg!(output.to_text().unwrap());
    println!("pass")
}